//+------------------------------------------------------------------+
//|                                        TEMA_RLH_MTF.mq4                                                                   
//+------------------------------------------------------------------+
#property copyright "AHGDP"
#property link      "TEMA_RLH_MTF"

#property indicator_chart_window
#property indicator_buffers 4
#property  indicator_color1  EMPTY//Aqua  
#property  indicator_color2  EMPTY//Lime
#property  indicator_color3  Magenta
#property indicator_width3 2
#property  indicator_color4  EMPTY//Red  //Aqua

extern int   EMA_Period     = 15 ;

extern int   TF             = 30 ;
extern int   LineSize       = 1 ;
extern int   CountBars      = 600 ;


double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
double ExtMapBuffer4[];

//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
int init()
  { IndicatorDigits(Digits+1);
   SetIndexStyle(0,DRAW_LINE,STYLE_DASH,1);//STYLE_SOLID,1);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE,STYLE_DASH,1);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexStyle(2,DRAW_LINE,STYLE_SOLID,2);//Magenta
   SetIndexBuffer(2,ExtMapBuffer3);
   SetIndexStyle(3,DRAW_LINE,STYLE_DASH,1);
   SetIndexBuffer(3,ExtMapBuffer4);
  
//===================================================================
   switch(TF)
   {
      case 1 : string TimeFrameStr="Period_M1"; break;
      case 5 : TimeFrameStr="Period_M5"; break;
      case 15 : TimeFrameStr="Period_M15"; break;
      case 30 : TimeFrameStr="Period_M30"; break;
      case 60 : TimeFrameStr="Period_H1"; break;
      case 240 : TimeFrameStr="Period_H4"; break;
      case 1440 : TimeFrameStr="Period_D1"; break;
      case 10080 : TimeFrameStr="Period_W1"; break;
      case 43200 : TimeFrameStr="Period_MN1"; break;
      default : TimeFrameStr="Current Timeframe";
   }

        string  ThisName = "TEMA_RLH";
        string Text=ThisName;
        Text=Text+"  (TF "+TF;        
        Text=Text+")";
        Text=Text+"( ";
        Text=Text+" "+DoubleToStr(EMA_Period,0);
        Text=Text+")  ";
        IndicatorShortName(Text);
  }

   return(0);
 
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
int start()
  {
   datetime TimeArray[];
   int    i,limit,y=0,counted_bars=IndicatorCounted();

   ArrayCopySeries(TimeArray,MODE_TIME,Symbol(),TF); 
   limit=Bars-counted_bars+TF/Period();
   //limit=Bars-counted_bars;
   if(counted_bars>0) limit++; else if (limit>100) limit=CountBars;  
   for(i=0,y=0;i<limit;i++)
   {
   if (Time[i]<TimeArray[y]) y++;
 
   ExtMapBuffer1[i]=iCustom(NULL,TF,"TEMA_RLH",EMA_Period,0,y);
   ExtMapBuffer2[i]=iCustom(NULL,TF,"TEMA_RLH",EMA_Period,1,y); 
   ExtMapBuffer3[i]=iCustom(NULL,TF,"TEMA_RLH",EMA_Period,2,y); 
   ExtMapBuffer4[i]=iCustom(NULL,TF,"TEMA_RLH",EMA_Period,3,y);  
   
   }  
   return(0);
  }

